import { Octokit } from '@octokit/rest';
export declare function baseUrlFromDomain(domain: string): string;
export interface GitHubSecrets {
    domain: string;
    appId: number;
    personalAuthToken: string;
}
export declare function getOctokit(installationId?: number): Promise<{
    octokit: Octokit;
    githubSecrets: any;
}>;
interface GitHubRunner {
    readonly id: number;
    readonly name: string;
    readonly os: string;
    readonly status: string;
    readonly busy: boolean;
    readonly labels: {
        readonly id: number;
        readonly name: string;
        readonly type: string;
    }[];
}
export declare function getRunner(octokit: any, owner: string, repo: string, name: string): Promise<GitHubRunner | undefined>;
export {};
